curl --request POST \
--url https://api.bigdata.com/v1/knowledge-graph/topics \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"query": "Earnings",
"groups": [
"earnings"
]
}
'import requests
url = "https://api.bigdata.com/v1/knowledge-graph/topics"
payload = {
"query": "Earnings",
"groups": ["earnings"]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: 'Earnings', groups: ['earnings']})
};
fetch('https://api.bigdata.com/v1/knowledge-graph/topics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "business,earnings,earnings,,",
"name": "Earnings",
"description": "Net income of a company",
"topic": "business",
"group": "earnings",
"type": "earnings",
"subtype": "<string>"
}
],
"metadata": {
"request_id": "2a25111e-0043-4fe2-946e-668aa5af928a",
"timestamp": "2026-07-02T13:24:45.163695+00:00"
},
"usage": {
"knowledge_graph_tokens": 1
}
}Find by details
Find topics from the Bigdata.com event taxonomy. Search by name or description and narrow the results by topic, group, type or subtype. Use the returned id in a Topic query filter.
Authorizations
Body
Request body for finding topics. Each field is optional. However, you must provide at least one field to perform a valid search. The values a filter accepts can be listed with GET /v1/knowledge-graph/topics/values/{filter}.
Text query to search for topics by name or description. Examples: 'Earnings', 'Board Member Appointment'
"Earnings"
Top-level topics, as published in the topic field of results (e.g., 'business')
["business"]
Topic groups, as published in the group field of results (e.g., 'earnings', 'investor-relations')
["earnings"]
Topic types, as published in the type field of results (e.g., 'earnings', 'earnings-call')
["earnings-call"]
Topic subtypes, as published in the subtype field of results
[]
Response
Successful response with topics data
Was this page helpful?